> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete decision



## OpenAPI

````yaml delete /v1/decisions/{id}
openapi: 3.0.0
info:
  title: Decision APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/decision
  - url: https://staging.api.eu.aptlydone.com/decision
  - url: https://api.us.aptlydone.com/decision
  - url: https://api.eu.aptlydone.com/decision
security: []
tags: []
paths:
  /v1/decisions/{id}:
    delete:
      tags:
        - decisions
      summary: Delete decision
      operationId: DecisionController_deleteDecision_v1
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Decision deleted successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DenormalizedDecisionResponseDtoResponse'
      security:
        - accessToken: []
components:
  schemas:
    DenormalizedDecisionResponseDtoResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP Status code
          example: 200
        timestamp:
          type: string
          description: Timestamp of the response
          example: '2026-01-08T06:33:50.384Z'
        message:
          type: string
          description: Response message
          example: Success
        data:
          description: Response data
          allOf:
            - $ref: '#/components/schemas/DenormalizedDecisionResponseDto'
      required:
        - statusCode
        - timestamp
        - message
        - data
    DenormalizedDecisionResponseDto:
      type: object
      properties:
        id:
          type: string
          example: 7df90da4-0634-40b9-abf5-6e97a222cfb8
          description: Unique identifier
        tenantId:
          type: string
          example: 105fa115-52d0-4466-baff-740447a60774
          description: Tenant ID
        name:
          type: string
          example: Long-term Investments
          description: Decision name
        description:
          type: string
          nullable: true
          example: >-
            The Long-term Investments authority involves approving strategic
            investments, including equity stakes, acquisitions, and other
            business ventures.
          description: Decision description
        guidance:
          type: string
          nullable: true
          example: >-
            Investment decisions for long-term, strategic investments, such as
            acquisitions and equity stakes, require a structured process that
            ensures alignment with corporate strategy, rigorous financial
            analysis, risk assessment, and strong governance. These investments
            should enhance the company's competitive positioning, growth
            potential, and long-term vision. Financial modeling is critical,
            incorporating valuation methods, cash flow impacts, and sensitivity
            analysis to forecast returns under different scenarios.
          description: Decision guidance
        sectionId:
          type: string
          example: 105fa115-52d0-4466-baff-740447a60774
          description: Section ID
        categoryId:
          type: string
          nullable: true
          example: 105fa115-52d0-4466-baff-740447a60774
          description: Category ID
        status:
          type: object
          example: PUBLISHED
          description: Decision status
        createdBy:
          type: string
          nullable: true
          example: null
          description: Created by user ID
        owner:
          type: string
          nullable: true
          example: null
          description: Owner user ID
        createdAt:
          format: date-time
          type: string
          example: '2024-12-18T09:50:43.338Z'
          description: Creation timestamp
        updatedBy:
          type: string
          nullable: true
          example: null
          description: Updated by user ID
        updatedAt:
          format: date-time
          type: string
          example: '2024-12-18T09:50:43.338Z'
          description: Last update timestamp
        copiedFrom:
          type: string
          nullable: true
          example: null
          description: ID of Decision which was copied to create current decision
        conditionEnabled:
          type: boolean
          example: false
          description: Indicates if Conditions are enable for the Decision
        roleEnabled:
          type: boolean
          example: false
          description: Indicates if Roles are enable for the Decision
        delegable:
          type: boolean
          example: true
          description: Indicates if the Decision is delegable or not
        decisionDisplayId:
          type: string
          description: Decision Display ID
          example: '14623'
        delegationPathway:
          type: object
          nullable: true
          example:
            - Matrix
            - Direct Line
            - Functional
          description: Delegation Pathway values for the delegable Decision
        link:
          type: string
          example: >-
            /decisions/view/eyJ0ZW5hbnRJZCI6MSwiZGVjaXNpb25JZCI6ImU4YTEzYmQ0LTExYzItNDNkMi1hM2RjLWUxOGQ2ODU1NTU4OCJ9
          description: Decision Link
        decisionId:
          type: string
          example: 7df90da4-0634-40b9-abf5-6e97a222cfb8
          description: >-
            Original Decision ID for current denormalized record. This ID should
            be used for REST operations.
        sectionName:
          type: string
          example: Financial Authority
          description: Section Name
        categoryName:
          type: string
          nullable: true
          example: Budget Approval
          description: Category Name
        createdByUsername:
          type: string
          nullable: true
          example: John Doe
          description: Created By Username
        ownerUsername:
          type: string
          nullable: true
          example: John Doe
          description: Owner Username
        updatedByUsername:
          type: string
          nullable: true
          example: null
          description: Updated By Username
        delegations:
          type: object
          example: 0
          description: No. of delegations for the decision ('Reserved' if not delegable)
        decisionGroups:
          description: Decision Groups
          type: array
          items:
            $ref: '#/components/schemas/DenormalizedDecisionGroupsDto'
        decisionAuthorities:
          description: Decision Authorities
          type: array
          items:
            $ref: '#/components/schemas/DenormalizedDecisionAuthoritiesDto'
        decisionDocuments:
          description: Decision Documents
          type: array
          items:
            $ref: '#/components/schemas/DenormalizedDecisionDocumentsDto'
        ownerUserProfileUrl:
          type: string
          nullable: true
          description: profile url of the owner user
          example: http://test.jpg
        createdByUserProfileUrl:
          type: string
          nullable: true
          description: profile url of the created by user
          example: http://test.jpg
        updatedByUserProfileUrl:
          type: string
          nullable: true
          description: profile url of the updated by user
          example: http://test.jpg
        permissions:
          description: permissions
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/PermissionDto'
        createdByDetails:
          type: object
          description: Created By user details
          nullable: true
        updatedByDetails:
          type: object
          description: Updated By user details
          nullable: true
        ownerDetails:
          type: object
          description: Owner By user details
          nullable: true
        isRequestActionCompleted:
          type: boolean
          description: Check whether the user's decision request is Approved or Rejected
          nullable: true
      required:
        - id
        - tenantId
        - name
        - description
        - guidance
        - sectionId
        - categoryId
        - status
        - createdBy
        - owner
        - createdAt
        - updatedBy
        - updatedAt
        - copiedFrom
        - conditionEnabled
        - roleEnabled
        - delegable
        - decisionDisplayId
        - delegationPathway
        - link
        - decisionId
        - sectionName
        - categoryName
        - createdByUsername
        - ownerUsername
        - updatedByUsername
        - decisionGroups
        - decisionAuthorities
        - decisionDocuments
    DenormalizedDecisionGroupsDto:
      type: object
      properties:
        id:
          type: string
          example: 7df90da4-0634-40b9-abf5-6e97a222cfb8
          description: Decision Group relation ID
        denormalizedDecisionId:
          type: string
          example: 7df90da4-0634-40b9-abf5-6e97a222cfb8
          description: ID of denormalized Decision record
        groupId:
          type: string
          example: 105fa115-52d0-4466-baff-740447a60774
          description: Group ID
        displayName:
          type: string
          nullable: true
          example: Engineering Team
          description: User-friendly display name for the group (preferred field)
        groupName:
          type: string
          nullable: true
          example: Engineering Team
          description: Group name - legacy field (for backward compatibility)
        tenantGroupTypeId:
          type: string
          example: 105fa115-52d0-4466-baff-740447a60774
          description: Group Type ID for the given Group
      required:
        - id
        - denormalizedDecisionId
        - groupId
        - tenantGroupTypeId
    DenormalizedDecisionAuthoritiesDto:
      type: object
      properties:
        id:
          type: string
          example: 7df90da4-0634-40b9-abf5-6e97a222cfb8
          description: Decision Authority relation ID
        denormalizedDecisionId:
          type: string
          example: 7df90da4-0634-40b9-abf5-6e97a222cfb8
          description: ID of denormalized Decision record
        authorityTypeId:
          type: string
          example: 105fa115-52d0-4466-baff-740447a60774
          description: Authority Type ID
        authorityType:
          type: string
          example: Approval
          description: Authority Type (e.g. Approval, Signatory)
        authorityTypeOrder:
          type: number
          example: 1
          description: Authority Type Order
        authorityTypeIcon:
          type: string
          nullable: true
          example: check-square
          description: Authority Type Icon
        authorityLimit:
          type: string
          enum:
            - Primary
            - Secondary
            - Tertiary
          description: Authority Limit
        authorityLimitValueType:
          type: string
          enum:
            - Currency
            - Number
            - Days
            - Months
            - Years
            - Authorized
            - Percentage
          description: Authority Limit Value Type
        authorityLimitOperator:
          type: string
          enum:
            - <
            - <=
            - '='
            - '>='
            - '>'
          description: Authority Limit Operator
        authorityLimitValue:
          type: string
          nullable: true
          example: '1000'
          description: Authority Limit Value
        authorityLimitValueUnit:
          type: string
          nullable: true
          example: $
          description: Authority Limit Value Unit (e.g. $, days, months, years, %)
      required:
        - id
        - denormalizedDecisionId
        - authorityTypeId
        - authorityType
        - authorityTypeOrder
        - authorityTypeIcon
        - authorityLimit
        - authorityLimitValueType
        - authorityLimitOperator
        - authorityLimitValue
        - authorityLimitValueUnit
    DenormalizedDecisionDocumentsDto:
      type: object
      properties:
        id:
          type: string
          example: 7df90da4-0634-40b9-abf5-6e97a222cfb8
          description: Decision Document relation ID
        denormalizedDecisionId:
          type: string
          example: 7df90da4-0634-40b9-abf5-6e97a222cfb8
          description: ID of denormalized Decision record
        documentId:
          type: string
          example: 105fa115-52d0-4466-baff-740447a60774
          description: Document ID
        documentName:
          type: string
          example: Proxy Comm Delegation of Authority Policy
          description: Document Name
        documentUrl:
          type: string
          nullable: true
          example: https://filesamples.com/samples/document/pdf/sample1.pdf
          description: Document URL
        documentTypeName:
          type: string
          nullable: true
          example: Policy
          description: Document Type Name
        documentIcon:
          type: string
          example: file_text_outlined
          description: Document Icon
        documentDescription:
          type: string
          example: >-
            Defines the framework for delegating authority across ProxyComm's
            global operations, outlining roles, responsibilities, and
            decision-making limits to ensure compliance, accountability, and
            operational consistency.
          description: Document Description
        documentFileType:
          type: string
          nullable: true
          example: pdf
          description: Document File Type
        documentFileLink:
          type: string
          nullable: true
          example: https://example.com/files/project_document.pdf
          description: Document File Link
        isPinned:
          type: boolean
          example: true
          description: Indicates if Document is pinned
        documentDisplayId:
          type: string
          description: Document Display ID
          example: '10000'
        documentStatus:
          type: string
          description: Status of the document
          enum:
            - DRAFT
            - PUBLISHED
            - ARCHIVED
            - DELETED
          example: PUBLISHED
      required:
        - id
        - denormalizedDecisionId
        - documentId
        - documentName
        - documentUrl
        - documentTypeName
        - documentIcon
        - documentDescription
        - documentFileType
        - isPinned
        - documentDisplayId
        - documentStatus
    PermissionDto:
      type: object
      properties:
        allowed:
          type: boolean
          description: 'permission allowed '
          nullable: false
        relationship_key:
          type: string
          description: relationship_key
          nullable: true
      required:
        - relationship_key
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````